### Class

# Snapd Notice

since: 1.65

#### Description [src]

    final class Snapd.Notice : GObject.Object
    {
      /* No available fields */
    }

`SnapdNotice` contains information on a notification element.

Available since: 1.65

#### Ancestors

- GObject

#### Instance methods

###### snapd_notice_compare_last_occurred

Compare the last_occurred fields (and the last_occurred_nanosecond if available) of both notices, and returns whether the first one is before, same or after the second one.

since: 1.66

###### snapd_notice_get_expire_after

Get the time interval after this notification can expire.

since: 1.65

###### snapd_notice_get_first_occurred

Get the time this notification first occurred.

deprecated: 1.66 since: 1.65

###### snapd_notice_get_first_occurred2

Get the time this notification first occurred.

since: 1.66

###### snapd_notice_get_id

Get the unique ID for this notice.

since: 1.65

###### snapd_notice_get_key

Get the notice-id or the instance-name, depending on the type.

since: 1.65

###### snapd_notice_get_last_data

Get the data of the notice.

deprecated: 1.66 since: 1.65

###### snapd_notice_get_last_data2

Get the data of the notice.

since: 1.66

###### snapd_notice_get_last_occurred

Get the time this notification last occurred.

deprecated: 1.66 since: 1.65

###### snapd_notice_get_last_occurred2

Get the time this notification last occurred.

since: 1.66

###### snapd_notice_get_last_occurred_nanoseconds

Get the nanoseconds value of last-occurred, exactly as sent by snapd. Useful when combined with #snapd_client_notices_set_since_nanoseconds, and used internally by snapd_client_notices_set_after_notice, to ensure the maximum possible precission when dealing with timestamps.

since: 1.66

###### snapd_notice_get_last_repeated

Get the time this notification last repeated.

deprecated: 1.66 since: 1.65

###### snapd_notice_get_last_repeated2

Get the time this notification last repeated.

since: 1.66

###### snapd_notice_get_notice_type

Gets the type of notice this is.

since: 1.65

###### snapd_notice_get_occurrences

Get the number of times that this notification has been triggered.

since: 1.65

###### snapd_notice_get_repeat_after

Get the time interval after this notification can be repeated.

since: 1.65

###### snapd_notice_get_user_id

Get the user ID for this notice, or NULL if no user is defined.

since: 1.65

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Notice:expire-after

No description available.

###### Snapd.Notice:first-occurred

No description available.

###### Snapd.Notice:id

No description available.

###### Snapd.Notice:key

No description available.

###### Snapd.Notice:last-data

No description available.

###### Snapd.Notice:last-occurred

No description available.

###### Snapd.Notice:last-occurred-nanoseconds

No description available.

###### Snapd.Notice:last-repeated

No description available.

###### Snapd.Notice:notice-type

No description available.

###### Snapd.Notice:occurrences

No description available.

###### Snapd.Notice:repeat-after

No description available.

###### Snapd.Notice:user-id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdNoticeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.